<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default2.aspx.cs" Inherits="Default2" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="sc1" runat="server"></asp:ScriptManager>
    <telerik:RadEditor runat="server" ID="RadEditor1"></telerik:RadEditor> 
    <input type="button" onclick="PasteContent();return false;" value="Paste Content">
    <textarea id="textarea1" style="width: 455px; height: 230px"></textarea>
    <script type="text/javascript">
    function PasteContent()
    {
            var editor = $find("<%=RadEditor1.ClientID%>");
            var textbox = $get("textarea1");
            var strXhtml = textbox.value;
            var ieFilter = editor._filtersManager.getFilterByName("IEKeepObjectParamsFilter");
            var ffFilter = editor._filtersManager.getFilterByName("MozillaKeepFlashString");
            if (ieFilter) strXhtml = ieFilter.getDesignContent(strXhtml);
            if (ffFilter) strXhtml = ffFilter.getDesignContent(strXhtml);
            editor.pasteHtml(strXhtml);
    }
    </script>
    
    </form>
</body>
</html>
